Skip to content
Start here

Get Credential

vulnerability_scanner.credential_sets.credentials.get(strcredential_id, CredentialGetParams**kwargs) -> CredentialGetResponse
GET/accounts/{account_id}/vuln_scanner/credential_sets/{credential_set_id}/credentials/{credential_id}

Returns a single credential by ID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: Optional[str]

Identifier.

maxLength32
credential_set_id: str
formatuuid
credential_id: str
formatuuid
ReturnsExpand Collapse
class CredentialGetResponse:

A credential attached to API requests during scanning. The credential value is write-only and never returned in responses.

id: str

Credential identifier.

formatuuid
credential_set_id: str

Parent credential set identifier.

formatuuid
location: Literal["header", "cookie"]

Where the credential is attached in outgoing requests.

One of the following:
"header"
"cookie"
location_name: str

Name of the header or cookie where the credential is attached.

name: str

Human-readable name.

Get Credential

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
credential = client.vulnerability_scanner.credential_sets.credentials.get(
    credential_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    credential_set_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(credential.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "credential_set_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "location": "header",
    "location_name": "Authorization",
    "name": "Admin API key"
  },
  "result_info": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "credential_set_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "location": "header",
    "location_name": "Authorization",
    "name": "Admin API key"
  },
  "result_info": {}
}